Page 1 of 3 123 LastLast
Results 1 to 10 of 24

Thread: Error starting Girder6 on Raspberry Pi

  1. #1
    Join Date
    Oct 2005
    Posts
    307

    Default Error starting Girder6 on Raspberry Pi

    I copied below from an ssh connection, but get the same thing from lxterminal....

    pi@raspberrypi ~ $ cd /opt/girder6
    pi@raspberrypi /opt/girder6 $ ./girder
    ./Girder6: error while loading shared libraries: libshared.so.1: cannot open shared object file: No such file or directory
    pi@raspberrypi /opt/girder6 $ ls
    girder libmediabridge.so.1.0.0 libshared.so.1
    Girder6 libpcre.so libshared.so.1.0
    Girder6Service libpcre.so.1 libshared.so.1.0.0
    girder.qch libpcre.so.1.0 libsharedui.so
    girder.qhc libpcre.so.1.0.0 libsharedui.so.1
    httpd libpirlib.so libsharedui.so.1.0
    libbit.so libpirlib.so.1 libsharedui.so.1.0.0
    libbit.so.1 libpirlib.so.1.0 libsmtpclient.so
    libbit.so.1.0 libpirlib.so.1.0.0 libsmtpclient.so.1
    libbit.so.1.0.0 libprb16lib.so libsmtpclient.so.1.0
    libGirderWidgets.so libprb16lib.so.1 libsmtpclient.so.1.0.0
    libhttplib.so libprb16lib.so.1.0 libtransport.so
    libhttplib.so.1 libprb16lib.so.1.0.0 libtransport.so.1
    libhttplib.so.1.0 libqtservice.so libtransport.so.1.0
    libhttplib.so.1.0.0 libqtservice.so.1 libtransport.so.1.0.0
    liblua51.so libqtservice.so.1.0 lua
    liblua51.so.1 libqtservice.so.1.0.0 luasql
    liblua51.so.1.0 libscript.so NetRemote
    liblua51.so.1.0.0 libscript.so.1 plugins
    libmediabridge.so libscript.so.1.0 ui
    libmediabridge.so.1 libscript.so.1.0.0
    libmediabridge.so.1.0 libshared.so

  2. #2
    Join Date
    Jan 1998
    Location
    Jupiter, FL
    Posts
    13,553

    Default

    can you type ldd Girder6

    and

    ldd libshared.so.1

    and copy the output here.

    What OS are you running on the Pi?
    Ron
    No support through PM

  3. #3
    Join Date
    Oct 2005
    Posts
    307

    Default

    pi@raspberrypi /opt/girder6 $ ldd Girder6
    /usr/lib/arm-linux-gnueabihf/libcofi_rpi.so (0xb6f57000)
    libshared.so.1 => not found
    libqtservice.so.1 => not found
    libsharedui.so.1 => not found
    libsmtpclient.so.1 => not found
    liblua51.so.1 => not found
    libscript.so.1 => not found
    libhttplib.so.1 => not found
    libpcre.so.1 => not found
    libGirderWidgets.so => not found
    libmediabridge.so.1 => not found
    libtransport.so.1 => not found
    libprotobuf.so.7 => /usr/lib/libprotobuf.so.7 (0xb6e1b000)
    libQt5WebKitWidgets.so.5 => /usr/local/qt5pi/lib/libQt5WebKitWidgets.so.5 (0xb6de0000)
    libQt5MultimediaWidgets.so.5 => /usr/local/qt5pi/lib/libQt5MultimediaWidgets.so.5 (0xb6dc3000)
    libQt5Quick.so.5 => /usr/local/qt5pi/lib/libQt5Quick.so.5 (0xb6b3e000)
    libQt5Help.so.5 => /usr/local/qt5pi/lib/libQt5Help.so.5 (0xb6abe000)
    libQt5OpenGL.so.5 => /usr/local/qt5pi/lib/libQt5OpenGL.so.5 (0xb6a7c000)
    libQt5PrintSupport.so.5 => /usr/local/qt5pi/lib/libQt5PrintSupport.so.5 (0xb6a3a000)
    libQt5WebKit.so.5 => /usr/local/qt5pi/lib/libQt5WebKit.so.5 (0xb503b000)
    libQt5Multimedia.so.5 => /usr/local/qt5pi/lib/libQt5Multimedia.so.5 (0xb4f9c000)
    libQt5Qml.so.5 => /usr/local/qt5pi/lib/libQt5Qml.so.5 (0xb4ca9000)
    libQt5Widgets.so.5 => /usr/local/qt5pi/lib/libQt5Widgets.so.5 (0xb480a000)
    libQt5ScriptTools.so.5 => /usr/local/qt5pi/lib/libQt5ScriptTools.so.5 (0xb477c000)
    libQt5SerialPort.so.5 => /usr/local/qt5pi/lib/libQt5SerialPort.so.5 (0xb4761000)
    libQt5Sensors.so.5 => /usr/local/qt5pi/lib/libQt5Sensors.so.5 (0xb472d000)
    libQt5Sql.so.5 => /usr/local/qt5pi/lib/libQt5Sql.so.5 (0xb46fc000)
    libQt5Network.so.5 => /usr/local/qt5pi/lib/libQt5Network.so.5 (0xb45f2000)
    libQt5Script.so.5 => /usr/local/qt5pi/lib/libQt5Script.so.5 (0xb440a000)
    libQt5Xml.so.5 => /usr/local/qt5pi/lib/libQt5Xml.so.5 (0xb43d2000)
    libQt5Gui.so.5 => /usr/local/qt5pi/lib/libQt5Gui.so.5 (0xb4085000)
    libQt5Core.so.5 => /usr/local/qt5pi/lib/libQt5Core.so.5 (0xb3c85000)
    libGLESv2.so => /opt/vc/lib/libGLESv2.so (0xb3c68000)
    libpthread.so.0 => /lib/arm-linux-gnueabihf/libpthread.so.0 (0xb3c49000)
    libstdc++.so.6 => /usr/lib/arm-linux-gnueabihf/libstdc++.so.6 (0xb3b7b000)
    libm.so.6 => /lib/arm-linux-gnueabihf/libm.so.6 (0xb3b0a000)
    libgcc_s.so.1 => /lib/arm-linux-gnueabihf/libgcc_s.so.1 (0xb3ae2000)
    libc.so.6 => /lib/arm-linux-gnueabihf/libc.so.6 (0xb39b3000)
    libz.so.1 => /lib/arm-linux-gnueabihf/libz.so.1 (0xb3995000)
    /lib/ld-linux-armhf.so.3 (0xb6f65000)
    libEGL.so => /opt/vc/lib/libEGL.so (0xb3962000)
    libXext.so.6 => /usr/lib/arm-linux-gnueabihf/libXext.so.6 (0xb394c000)
    libX11.so.6 => /usr/lib/arm-linux-gnueabihf/libX11.so.6 (0xb3838000)
    libQt5CLucene.so.5 => /usr/local/qt5pi/lib/libQt5CLucene.so.5 (0xb3769000)
    librt.so.1 => /lib/arm-linux-gnueabihf/librt.so.1 (0xb3759000)
    libXrender.so.1 => /usr/lib/arm-linux-gnueabihf/libXrender.so.1 (0xb3749000)
    libicui18n.so.48 => /usr/lib/arm-linux-gnueabihf/libicui18n.so.48 (0xb35d6000)
    libicuuc.so.48 => /usr/lib/arm-linux-gnueabihf/libicuuc.so.48 (0xb34a7000)
    libicudata.so.48 => /usr/lib/arm-linux-gnueabihf/libicudata.so.48 (0xb232f000)
    libQt5Positioning.so.5 => /usr/local/qt5pi/lib/libQt5Positioning.so.5 (0xb22fc000)
    libdl.so.2 => /lib/arm-linux-gnueabihf/libdl.so.2 (0xb22f1000)
    libvcos.so => /opt/vc/lib/libvcos.so (0xb22df000)
    libbcm_host.so => /opt/vc/lib/libbcm_host.so (0xb22c5000)
    libvchiq_arm.so => /opt/vc/lib/libvchiq_arm.so (0xb22b6000)
    libxcb.so.1 => /usr/lib/arm-linux-gnueabihf/libxcb.so.1 (0xb2297000)
    libXau.so.6 => /usr/lib/arm-linux-gnueabihf/libXau.so.6 (0xb228d000)
    libXdmcp.so.6 => /usr/lib/arm-linux-gnueabihf/libXdmcp.so.6 (0xb2281000)
    pi@raspberrypi /opt/girder6 $ ldd libshared.so.1
    /usr/lib/arm-linux-gnueabihf/libcofi_rpi.so (0xb6b0c000)
    libicuuc.so.48 => /usr/lib/arm-linux-gnueabihf/libicuuc.so.48 (0xb69d1000)
    libpcre.so.1 => not found
    libhttplib.so.1 => not found
    libsmtpclient.so.1 => not found
    libtransport.so.1 => not found
    liblua51.so.1 => not found
    libscript.so.1 => not found
    libprotobuf.so.7 => /usr/lib/libprotobuf.so.7 (0xb68a2000)
    libQt5Widgets.so.5 => /usr/local/qt5pi/lib/libQt5Widgets.so.5 (0xb6403000)
    libQt5Sql.so.5 => /usr/local/qt5pi/lib/libQt5Sql.so.5 (0xb63d1000)
    libQt5Network.so.5 => /usr/local/qt5pi/lib/libQt5Network.so.5 (0xb62c7000)
    libQt5Script.so.5 => /usr/local/qt5pi/lib/libQt5Script.so.5 (0xb60df000)
    libQt5Xml.so.5 => /usr/local/qt5pi/lib/libQt5Xml.so.5 (0xb60a8000)
    libQt5Gui.so.5 => /usr/local/qt5pi/lib/libQt5Gui.so.5 (0xb5d5b000)
    libQt5Core.so.5 => /usr/local/qt5pi/lib/libQt5Core.so.5 (0xb595a000)
    libGLESv2.so => /opt/vc/lib/libGLESv2.so (0xb593d000)
    libpthread.so.0 => /lib/arm-linux-gnueabihf/libpthread.so.0 (0xb591e000)
    libstdc++.so.6 => /usr/lib/arm-linux-gnueabihf/libstdc++.so.6 (0xb5851000)
    libm.so.6 => /lib/arm-linux-gnueabihf/libm.so.6 (0xb57e0000)
    libgcc_s.so.1 => /lib/arm-linux-gnueabihf/libgcc_s.so.1 (0xb57b7000)
    libc.so.6 => /lib/arm-linux-gnueabihf/libc.so.6 (0xb5688000)
    libicudata.so.48 => /usr/lib/arm-linux-gnueabihf/libicudata.so.48 (0xb4510000)
    libdl.so.2 => /lib/arm-linux-gnueabihf/libdl.so.2 (0xb4505000)
    /lib/ld-linux-armhf.so.3 (0xb6f4a000)
    libz.so.1 => /lib/arm-linux-gnueabihf/libz.so.1 (0xb44e7000)
    libEGL.so => /opt/vc/lib/libEGL.so (0xb44b4000)
    libicui18n.so.48 => /usr/lib/arm-linux-gnueabihf/libicui18n.so.48 (0xb4341000)
    librt.so.1 => /lib/arm-linux-gnueabihf/librt.so.1 (0xb4332000)
    libvcos.so => /opt/vc/lib/libvcos.so (0xb4320000)
    libbcm_host.so => /opt/vc/lib/libbcm_host.so (0xb4306000)
    libvchiq_arm.so => /opt/vc/lib/libvchiq_arm.so (0xb42f7000)

    pi@raspberrypi /opt/girder6 $ more /proc/version
    Linux version 3.10.24+ (dc4@dc4-arm-01) (gcc version 4.7.2 20120731 (prerelease)
    (crosstool-NG linaro-1.13.1+bzr2458 - Linaro GCC 2012.08) ) #610 PREEMPT Thu De
    c 12 13:12:09 GMT 2013

    Fresh install using the link that is provided in your instruction thread...

  4. #4
    Join Date
    Jan 1998
    Location
    Jupiter, FL
    Posts
    13,553

    Default

    for whatever reason it looks like Girder's directory is not being added to the ld.so.conf (the library search path ).

    Edit /etc/ld.so.conf add /opt/girder6 to the list of directory and run ldconfig -v
    you should see the girder libraries come by. Then try running Girder again.
    Ron
    No support through PM

  5. #5
    Join Date
    Oct 2005
    Posts
    307

    Default

    That fixed the libraries, but I have a different error (the same error I had before I started fresh). The GUI to enter the license starts even with the error below, but does not echo the typing (and I can't get it to take the code that I may or may not be typing correctly).

    " in include paths
    Error: 1 include paths searched:
    Error: /usr/share/X11/xkb
    Error: 1 include paths could not be added:
    Error: /home/pi/.xkb
    ', model 'pc105', layout 'us', variant '(null)', options '9'
    Qt: Failed to compile a keymap
    ClientSettings::ClientSettings / could not read settings file: "/home/pi/.local
    /share/Promixis/Girder 6/clientSettings.json"
    Cant find EGLConfig, returning null config
    Unable to find an X11 visual which matches EGL config 0
    Error: Couldn't look up rules 'Error: Couldn't find file "rules/pi@raspber
    rypi /opt/girder6 $ ./girder
    " in include paths
    Error: 1 include paths searched:
    Error: /usr/share/X11/xkb
    Error: 1 include paths could not be added:
    Error: /home/pi/.xkb
    ', model 'pc105', layout 'us', variant '(null)', options '9'
    Qt: Failed to compile a keymap
    ClientSettings::ClientSettings / could not read settings file: "/home/pi/.local
    /share/Promixis/Girder 6/clientSettings.json"
    Cant find EGLConfig, returning null config
    Unable to find an X11 visual which matches EGL config 0
    Error: Couldn't look up rules 'Error: Couldn't find file "rules/
    Last edited by shaun5; December 16th, 2013 at 05:44 PM.

  6. #6
    Join Date
    Jan 1998
    Location
    Jupiter, FL
    Posts
    13,553

    Default

    Make sure you use the shell script file included with girder. I believe it's called Girder. I sets a few extra options so it recognizes the X server. Also try as root (for now)
    Ron
    No support through PM

  7. #7
    Join Date
    Oct 2005
    Posts
    307

    Default

    The error received is from typing cd /opt/girder6 and then ./girder

    I get a different error that fails to start the GUI if I type sudo ./girder

  8. #8
    Join Date
    Jan 1998
    Location
    Jupiter, FL
    Posts
    13,553

    Default

    what is the different error?

    (I'm on-site at the moment and can't test on the Raspi currently)

    Is any of this of help:
    https://bugreports.qt-project.org/browse/QTBUG-32760
    Ron
    No support through PM

  9. #9
    Join Date
    Jan 1998
    Location
    Jupiter, FL
    Posts
    13,553

    Default

    Ron
    No support through PM

  10. #10
    Join Date
    Oct 2005
    Posts
    307

    Default

    The error from sudo ./girder is:

    Client is not authorized to connect to ServerQXcbConnection: Could not connect t
    o display :1.0
    ./girder: line 2: 3058 Aborted ./Girder6 -platform xcb -visual
    truecolor


    The Raspberry Pi is headless and accessed through tightvncserver.

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •